/* eslint-disable no-restricted-globals */
const CACHE_NAME = "bma-pdc-admin-cache";

const urlsToCache = [
  "/",
  "/static/js/bundle.js",
  "/static/js/main.chunk.js",
  "/static/js/1.chunk.js",
  "/static/js/0.chunk.js",
  "/static/js/vendors~main.chunk.js",
  "/favicon.ico",
  "https://fonts.googleapis.com/css?family=Roboto:300,400,500,700&display=swap",
  "https://fonts.googleapis.com/icon?family=Material+Icons",
  "https://bmasistemas.com.br/home/img/logo.svg",
  "https://bmasistemas.com/assets/images/pdc/bma-portal-colaborador-tech.jpg)",
];

// eslint-disable-next-line no-restricted-globals
self.addEventListener("install", function (event) {
  // Perform install steps
  event.waitUntil(
    caches.open(CACHE_NAME).then(function (cache) {
      return cache.addAll(urlsToCache);
    })
  );
});

self.addEventListener("fetch", function (event) {
  event.respondWith(
    caches.match(event.request).then(function (response) {
      // Cache hit - return response
      if (response) {
        return response;
      }
      return fetch(event.request);
    })
  );
});
